Overwriting ciOS isn't working.

Discussion in 'Wii - Emulation and Homebrew' started by Amargado, Sep 1, 2018.

  1. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    I tried to install the folllowing cios

    beta53 in slot 249, base 56 and rev 20100

    beta52v10 slot 250,base 57,rev 65535

    But after overwriting previous cios i installed in those slots i cant load games anymore.I have wii 4.3u and latest version of all apps.

    Do i have another option?I didn't created a nand backup because i tought it wasn't necessary.
    Please help :(
     
  2. FancyNintendoGamer567

    FancyNintendoGamer567 GBAtemp Advanced Fan

    Member
    4
    Feb 13, 2017
    United States
    @Amargado Doesn't d2x installer have an option for deleting IOSes? Becuase if it does, then remove the cIOSes that are in slot 249 and 250 and reinstall the cIOSes. If d2x installer doesn't, then try to remove those cIOSes using other methods/applications.
     
  3. Ryccardo

    Ryccardo and his tropane alkaloids

    Member
    13
    Feb 13, 2015
    Italy
    Imola
    And don't use beta 53, all bugs and no benefits (on a real Wii) compared to V8
     
  4. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    Can i use AnyTitle Deleter?
     
  5. GreyWolf

    GreyWolf GBAtemp Guru

    Member
    8
    Mar 2, 2015
    United States
    Don't delete IOSes. Post a Syscheck report. Please use that version and put the .csv files contents in spoiler tags like the post stays.
     
  6. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    Here is my SysCheck:

    Warning: Spoilers inside!

    — Posts automatically merged - Please don't double post! —

    — Posts automatically merged - Please don't double post! —

    I ve posted my Syscheck,please help me
     
  7. FancyNintendoGamer567

    FancyNintendoGamer567 GBAtemp Advanced Fan

    Member
    4
    Feb 13, 2017
    United States
    I would recommend either setting the cIOS to cIOS 250 or by installing 10-beta52 instead of beta53 on 249.
     
  8. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    I found the option for deleting the cios,tried it,apparently it worked because wiiflow didn't detected any cios.Then, i installed the cios i wanted but i still get black screen.
     
  9. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    It doesnt work with that config neither.
     
  10. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    Don't delete -> I did it !

    I want this -> you already had them, now you deleted both...

    you don't listen to our help, and act before thinking.

    how did you try ? which program did you use ? which version ? where did you get it?
    I'm expecting an answer here, based on the answer we will know why it doesn't work.
     
    Last edited by Cyan, Sep 3, 2018
    Synthetic_Scholar likes this.
  11. Amargado
    This message by Amargado has been removed from public view by Cyan, Sep 3, 2018.
    Sep 3, 2018
  12. Amargado
    This message by Amargado has been removed from public view by Chary, Sep 3, 2018.
    Sep 3, 2018
  13. Amargado
    This message by Amargado has been removed from public view by Chary, Sep 3, 2018.
    Sep 3, 2018
  14. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    I used d2x installer 3.1 from the cios installattion page in the complete softmod guide site.I followed the same steps in that page (with a different cios configuration from the recomended in that site) and then tried to load the backups with wiiflow v4.2.1 from the official google code site.


    Sorry for being foolish
     
  15. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    Thanks for the answer.

    So, using d2x installer is fine.
    That website already prepared the installer, because usually you have to get 2 different downloads on 2 different websites and merge some files together. some users mess this step, It could have been your issue, that's why I asked where you got it.
    You took the correct version (Wii, not vWii), right?

    The setup you want was the one suggested on ComplteSoftMod guide for years, and it was SO bad that every people following it ended here and asked for help to fix their console.
    the problem is using beta53. it has hardware compatibility issue (some device are not working), game compatibility issue (some games are not working) and features compatibility issue (emuNAND not working).

    May I ask why you want this particular setup ? is it because you had a game not working and thought you'd need this to fix your problem ?
    if it really didn't install (like you said : it failed to replace), it means you already had this setup, and that's probably the reason your games weren't working. you tried to fix a non working setup by wanting to use the exact same setup (you probably found a random tutorial? youtube?).
    unless you know why you need r53; but in that case you wouldn't mix base like you are trying to do, so I think you don't understand all the IOS stuff.

    To fix your console, I'd suggest you install this :

    249 : d2x v8 final, base 57, version 21008
    250 : not needed, but you can try d2x v8 final, base 56, version 21008


    Just to be sure, here is a new complete package :
    http://www.mediafire.com/file/5ggh53tj9hhp1tr/d2x-cios-installer-3.1-v6-v7-v8-v10-wii.7z

    delete your current d2x folder on SD card.
    create a new empty "d2x_installer" folder in sd:/apps/
    extract the package inside.
    be sure your console have a working network and you don't block any Nintendo's servers URL (you'll have to get files from nintendo !), so if you used to hack 3DS or WiiU, you probably blocked the update server. undo that.

    Then, launch the installer from HBC, and select this :
    what : v8 final
    where : 249
    base : 57
    version; 21008 (or 65535)
    that's all you need to play all games on Wii.


    if you really want a specific and bad setup, then tell us the reason so we can see what other things we can think to help you achieve what you want.
     
    Last edited by Cyan, Sep 3, 2018
  16. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    When i load this package my wiimote turns off and i can't turn it on. Can i use the one from the softmod guide?
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    they are identical : that's v3.1, it's the latest version. (and latest is not better. some people prefer v2.2 than 3.1)
    but, yeah, try with the other one if it's working for you (but, apparently the other one is not working for you)
     
  18. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    The one from the softmod guide doesn't include d2x v8.So what i should do?
     
  19. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    d2x v10r52 is the same as v8
     
  20. Hippoman

    Hippoman Member

    Newcomer
    1
    Sep 5, 2018
    United States
    California
    What I did that worked for cIOS249 was setting it to base 56 and using v6 with rev65535.
    I followed this guide but made the above changes.
    Scroll down to the guide section to see the important stuff.
    Hope this helps!
    EDIT: Sorry since I'm a newb I can't post links. PM me on discord Hippoman#4308
     
  21. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    Why do you think what you did should be suggested to other users ?
    What you did is wrong, please, don't suggest random guide (you couldn't link it) if you don't a better way to fix the problem.

    installing an old version, with a wrong base, will just create issues and you will not be there to help users fix their problems, instead I will be there spending time fixing problem created by other people.....
    why can't you provide a proper setup so nobody have issues or have to spend time helping people for reason like "please, downgrade and use an outdated version of your program !".

    you installed v6 for a reason, or because you found an outdated tutorial, or because you couldn't find v8 ?
    If you didn't find v8 in the installer, it's because you don't understand that you had to merge the installer with the cIOS data.

    It feels a lot like all youtube tutorial : because it "seems" it worked, you think it's good for every one else and just make it a guide without understanding what you are talking about.


    Please, don't install d2x v6, it's outdated and has compatibility problems.
    at least, if you plan downgrading, install v7 ! It has fix for Wiimote+ games.
    v8 final or v10 r52 is better.
    v10 r53 is wrong. Don't use beta version.

    as for the base, 57 has more compatibility than 56.
    installing base57 in slot249 is better for noob, so they don't have to worry and wonder how to fix games and search outdated youtube tutorial telling completely wrong informations.
    if you install base56 in default slot, and base57 in 250, users will have to edit the loader's setting to use slot250 instead of default settings to fix their compatibility problem.
     
    Last edited by Cyan, Sep 6, 2018
  22. Hippoman

    Hippoman Member

    Newcomer
    1
    Sep 5, 2018
    United States
    California
    Ouch. Sorry, I’m new to GBATemp :(
     
  23. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    @Hippoman, I'd like to suggest you to update your setup too.
    if you keep cIOS d2x v6, you'll encounter issues with games, mostly with "dol reloading" games such as all wiimote+ games and few older ones (SSX, Sam&Max, metroid trilogie, to just name a few).
    USBLoaders have some option to counter the issue, but it's not always easy to find if you don't know what you are looking for.

    update at least to v7 if you want this fix, I recommend v8 final base57 in slot249 for best experience.
    But, if like I saw in the other thread, you use "automatic slot selection" in CFGLoader, maybe it require specific base in specific slot. So, don't follow my advice of installing base57 in slot249, and install it in the "usual 57 slot" : 250.
    if you don't use Auto slot option, set the loader to use slot250 so you can take advantage of your installation (or else, installing IOS without using them is useless).

    You can find a d2x installer package I made with all versions included in one. (6 to 10) on my post above.
    I don't know why Amargado said it's not working with its wiimote, that version should work with wiimote+ too, maybe it's just not an official wiimote.


    Sorry if it was rude, it's just that suggesting a downgrade is not always a good idea.
    latest d2x is v10, but you can downgrade up to v7 without breaking too much compatibility (for some reason, some game might work only with old version, there's a compt list on our wiki), but doing it for all games is not a good idea.
    a proper full setup is not simple and identical to everyone, it requires analyze of current Wii's content (to not replace useful IOS, or make duplicate IOS for no reason), and install version/base based on the wanted game compatibility.
    the most compatible IOS is v8[57]. some specific game can require another one, specifically for emuNAND wiiware/VC N64.
     
    Last edited by Cyan, Sep 6, 2018
  24. Amargado
    OP

    Amargado Member

    Newcomer
    2
    Jul 31, 2018
    Mexico
    Thanks a lot Cyan, it worked!.Well,actually,it was not working as expected in v4.2.1. (a game loaded once but not again and smash didn't booted) But then i tried wiiflow Beta 4.0.6-r838 and every game worked ! :) :yaywii:
     
Loading...